X) covering diagnoses across NHS inpatient and outpatient settings.
Quick start
System identifiers:icd10uk-inpatient · icd10uk-outpatient
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Corti Models is now available: frontier AI on sovereign infrastructure, through an OpenAI-compatible API. Get started.
United Kingdom modification of ICD-10. The standard for diagnosis coding in the NHS
X) covering diagnoses across NHS inpatient and outpatient settings.
icd10uk-inpatient · icd10uk-outpatient
curl -X POST "https://api.$environment.corti.app/v2/tools/coding/" \
-H "Authorization: Bearer <token>" \
-H "Tenant-Name: <tenant-name>" \
-H "Content-Type: application/json" \
-d '{
"system": ["icd10uk-inpatient"],
"context": [{"type": "text", "text": "Patient admitted with COPD exacerbation and type 2 diabetes mellitus."}]
}'
const response = await client.codes.predict({
system: ["icd10uk-inpatient"],
context: [{ type: "text", text: "Patient admitted with COPD exacerbation and type 2 diabetes mellitus." }],
});
import requests
response = requests.post(
"https://api.$environment.corti.app/v2/tools/coding/",
headers={
"Authorization": "Bearer <token>",
"Tenant-Name": "<tenant-name>",
},
json={
"system": ["icd10uk-inpatient"],
"context": [{"type": "text", "text": "Patient admitted with COPD exacerbation and type 2 diabetes mellitus."}],
},
)
print(response.json())
icd10uk-inpatient for inpatient cases and icd10uk-outpatient for outpatient cases. The correct guideline set is applied automatically based on the suffix.icd10uk-inpatient for diagnoses and opcs4 for procedures in the same request.Was this page helpful?